theta <- seq(0, 1, length.out = 100)
#theta <- 0
y <- log(1 - theta)
taylor <- function(theta, n){
  y <- rep(NA, length(theta))
  k <- 1:n
  for(i in 1:length(theta)){
    y[i] <- log(0.5) - sum((2^k / k) * (theta[i] - 0.5)^k)
  }
  return(y)
}
y_star <- taylor(theta, 10)

plot(theta, y, type = "l")
lines(theta, y_star, col = "red")

n <- 10
term <- rep(NA, n)

for(i in 1:n){
  term[i] <- paste0((2^i / i), "*(theta - 0.5)^", i)
}

paste(term, collapse = " - ")


