
libname gagnon '~/hogsett/coop/gagnon';
filename gsasfile pipe 'lpr -h -G -Pps';
goptions  gaccess=gsasfile;
data one;
  infile '~/hogsett/coop/gagnon/10-18-90.prn';
  input month day year HOUR OZ10 SDOZ10 OZ11 SDOZ11  OZ12 SDOZ12 OZ13 SDOZ13 OZ14 SDOZ14 OZ15 SDOZ15 OZ16
  SDOZ16 OZ17 SDOZ17  OZ18 SDOZ18;
  if oz10=-99 then oz10=.;
  if oz11=-99 then oz11=.;
  if oz12=-99 then oz12=.;
  if oz13=-99 then oz13=.;
  if oz14=-99 then oz14=.;
  if oz15=-99 then oz15=.;
  if oz16=-99 then oz16=.;
  if oz17=-99 then oz17=.;
  if oz18=-99 then oz18=.;
  if sdoz10=-99 then sdoz10=.;
  if sdoz11=-99 then sdoz11=.;
  if sdoz12=-99 then sdoz12=.;
  if sdoz13=-99 then sdoz13=.;
  if sdoz14=-99 then sdoz14=.;
  if sdoz15=-99 then sdoz15=.;
  if sdoz16=-99 then sdoz16=.;
  if sdoz17=-99 then sdoz17=.;
  if sdoz18=-99 then sdoz18=.;
  date=mdy(month,day,year);
  if -90<oz10<0 then oz10=0;
  if -90<oz11<0 then oz11=0;
  if -90<oz12<0 then oz12=0;
  if -90<oz13<0 then oz13=0;
  if -90<oz14<0 then oz14=0;
  if -90<oz15<0 then oz15=0;
  if -90<oz16<0 then oz16=0;
  if -90<oz17<0 then oz17=0;
  if -90<oz18<0 then oz18=0;
  format date mmddyy8.;
drop month day year;
proc sort;
  by date hour;
data two;
  infile '~/hogsett/coop/gagnon/1-9-90.dat';
  input @2 DATE mmddyy8. HOUR  OZ01 SDOZ01 OZ02 SDOZ02  OZ03 SDOZ03 OZ04 SDOZ04 OZ05 SDOZ05 OZ06 SDOZ06 OZ07
  SDOZ07 OZ08 SDOZ08  OZ09 SDOZ09;
  if oz01=-99 then oz01=.;
  if oz02=-99 then oz02=.;
  if oz03=-99 then oz03=.;
  if oz04=-99 then oz04=.;
  if oz05=-99 then oz05=.;
  if oz06=-99 then oz06=.;
  if oz07=-99 then oz07=.;
  if oz08=-99 then oz08=.;
  if oz09=-99 then oz09=.;
  if sdoz01=-99 then sdoz01=.;
  if sdoz02=-99 then sdoz02=.;
  if sdoz03=-99 then sdoz03=.;
  if sdoz04=-99 then sdoz04=.;
  if sdoz05=-99 then sdoz05=.;
  if sdoz06=-99 then sdoz06=.;
  if sdoz07=-99 then sdoz07=.;
  if sdoz08=-99 then sdoz08=.;
  if sdoz09=-99 then sdoz09=.;
   if -90<oz01<0 then oz01=0;
  if -90<oz02<0 then oz02=0;
  if -90<oz03<0 then oz03=0;
  if -90<oz04<0 then oz04=0;
  if -90<oz05<0 then oz05=0;
  if -90<oz06<0 then oz06=0;
  if -90<oz07<0 then oz07=0;
  if -90<oz08<0 then oz08=0;
  if -90<oz09<0 then oz09=0;
  format date mmddyy8.;
 proc sort;
  by date hour;
 data three;
  merge two one;
  by date hour;
run;
data gagnon.ozone90;
   set three;
   ch01=oz18;
   sdch01=sdoz18;
   ch02=oz02;
   sdch02=sdoz02;
   ch03=oz13;
   sdch03=sdoz13;
   ch04=oz06;
   sdch04=sdoz06;
   ch05=oz04;
   sdch05=sdoz04;
   ch06=oz08;
   sdch06=sdoz08;
   ch07=oz14;
   sdch07=sdoz14;
   ch08=oz05;
   sdch08=sdoz05;
   ch09=oz03;
   sdch09=sdoz03;
   ch10=oz01;
   sdch10=sdoz01;
   ch11=oz17;
   sdch11=sdoz17;
   ch12=oz12;
   sdch12=sdoz12;
   ch13=oz10;
   sdch13=sdoz10;
   ch14=oz09;
   sdch14=sdoz09;
   ch15=oz07;
   sdch15=sdoz07;
   ch16=oz15;
   sdch16=sdoz15;
   ch17=oz16;
   sdch17=sdoz16;
   ch18=oz11;
   sdch18=sdoz11;
drop oz01 oz02 oz03 oz04 oz05 oz06 oz07 oz08 oz09 oz10 oz11 oz12 oz13 oz14 oz15 oz16 oz17 oz18
sdoz01 sdoz02 sdoz03 sdoz04 sdoz05 sdoz06 sdoz07 sdoz08 sdoz09 sdoz10 sdoz11 sdoz12 sdoz13 sdoz14 sdoz15 sdoz16 sdoz17 sdoz18;
data gagnon.ozone90;
   set ten;
proc contents;
run;
